Package org.apache.sling.event.impl.jobs.config

# Class MainQueueConfiguration

java.lang.Object
org.apache.sling.event.impl.jobs.config.MainQueueConfiguration

public class MainQueueConfiguration extends Object
This is the configuration for the main queue.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static @interface`
`MainQueueConfiguration.Config`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`MAIN_QUEUE_NAME`

## Constructor Summary

Constructors
Constructor
Description
`MainQueueConfiguration()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`activate(MainQueueConfiguration.Config config)`
Activate this component.
`InternalQueueConfiguration`
`getMainConfiguration()`
Return the main queue configuration object.
`protected void`
`update(MainQueueConfiguration.Config config)`
Configure this component.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### MAIN_QUEUE_NAME

public static final String MAIN_QUEUE_NAME

See Also:
  - Constant Field Values

## Constructor Details

### MainQueueConfiguration

public MainQueueConfiguration()

## Method Details

### activate

protected void activate(MainQueueConfiguration.Config config)
Activate this component.

Parameters:
  `config` - Configuration properties

### update

protected void update(MainQueueConfiguration.Config config)
Configure this component.

Parameters:
  `config` - Configuration properties

### getMainConfiguration

public InternalQueueConfiguration getMainConfiguration()
Return the main queue configuration object.

Returns:
  The main queue configuration object.